Package com.xebialabs.xlrelease.domain

# Class ReleaseTrigger

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseScript
com.xebialabs.xlrelease.domain.BasePythonScript
com.xebialabs.xlrelease.domain.Trigger
com.xebialabs.xlrelease.domain.ScheduledTrigger
com.xebialabs.xlrelease.domain.ReleaseTrigger

All Implemented Interfaces:
  `ConfigurationItem`, `CiWithUid`, `TenantAwareCi`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, virtual=false) public class ReleaseTrigger extends ScheduledTrigger

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SCRIPT_VARS_CATEGORY`
  `protected List<String>`
  `tags`
  `protected List<Variable>`
  `variables`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.Trigger

  `ALLOW_PARALLEL_EXECUTION, allowParallelExecution`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseTrigger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContainerId()`
  `String`
  `getExecutionId()`
  `List<String>`
  `getInternalProperties()`
  `String`
  `getReleaseFolder()`
  `String`
  `getReleaseTitle()`
  `List<String>`
  `getScriptVariableNames()`
  `Map<String,Object>`
  `getScriptVariableValues()`
  `Map<String,String>`
  `getStringScriptVariableValues()`
  `List<String>`
  `getTags()`
  `String`
  `getTemplate()`
  `Map<String,String>`
  `getTemplatePasswordVariables()`
  This method is kept for backwards compatibility.
  `Map<String,String>`
  `getTemplateVariables()`
  This method is kept for backwards compatibility.
  `Map<String,Object>`
  `getTemplateVariableValues(Predicate<Variable> variablePredicate)`
  `List<Variable>`
  `getVariables()`
  `Map<String,Variable>`
  `getVariablesByKeys()`
  `boolean`
  `hasExecutionId()`
  `void`
  `resetExecutionId()`
  `void`
  `setExecutionId(String executionId)`
  `void`
  `setReleaseFolder(String releaseFolder)`
  `void`
  `setReleaseTitle(String releaseTitle)`
  `void`
  `setScriptVariablesFromResults(Map<String,Object> variableValues)`
  `void`
  `setTags(List<String> tags)`
  `void`
  `setTemplate(String template)`
  `void`
  `setTriggerStateFromResults(String state)`
  `void`
  `setVariables(List<Variable> variables)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ScheduledTrigger

  `getPeriodicity, getPollType, isInitialFire, isMisfireRecoveryEnabled, setInitialFire, setMisfireRecoveryEnabled, setPeriodicity, setPollType`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Trigger

  `getAllowParallelExecution, getCiUid, getDescription, getFolderId, getLastRunDate, getLastRunStatus, getTenantId, getTitle, getTriggerState, isEnabled, setAllowParallelExecution, setCiUid, setDescription, setEnabled, setFolderId, setLastRunDate, setLastRunStatus, setTenantId, setTitle, setTriggerState`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseScript

  `getAbortScript, getScript`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Field Details

  - ### SCRIPT_VARS_CATEGORY

    public static final String SCRIPT_VARS_CATEGORY
    See Also:
      - Constant Field Values

  - ### variables

    @Property(asContainment=true, required=false, category="hidden") protected List<Variable> variables

  - ### tags

    @Property(required=false, category="hidden") protected List<String> tags

- ## Constructor Details

  - ### ReleaseTrigger

    public ReleaseTrigger()

- ## Method Details

  - ### getReleaseTitle

    public String getReleaseTitle()

  - ### setReleaseTitle

    public void setReleaseTitle(String releaseTitle)

  - ### getInternalProperties

    public List<String> getInternalProperties()
    Overrides:
      `getInternalProperties` in class `ScheduledTrigger`

  - ### getTemplateVariables

    public Map<String,String> getTemplateVariables()
    This method is kept for backwards compatibility. `getVariables()` method provides richer access to the variable management.
    Returns:
      mapping from variable name to variable value containing only variables with string values. Variable names are in `${key}` format.

  - ### getTemplatePasswordVariables

    public Map<String,String> getTemplatePasswordVariables()
    This method is kept for backwards compatibility. `getVariables()` method provides richer access to the variable management.
    Returns:
      mapping from variable name to variable value containing only variables with string values. Variable names are in `${key}` format.

  - ### getVariables

    public List<Variable> getVariables()

  - ### setVariables

    public void setVariables(List<Variable> variables)

  - ### getTemplate

    public String getTemplate()

  - ### setTemplate

    public void setTemplate(String template)

  - ### getTags

    public List<String> getTags()

  - ### setTags

    public void setTags(List<String> tags)

  - ### getExecutionId

    public String getExecutionId()

  - ### hasExecutionId

    public boolean hasExecutionId()

  - ### getReleaseFolder

    public String getReleaseFolder()

  - ### setReleaseFolder

    public void setReleaseFolder(String releaseFolder)

  - ### setExecutionId

    public void setExecutionId(String executionId)

  - ### resetExecutionId

    public void resetExecutionId()

  - ### setTriggerStateFromResults

    public void setTriggerStateFromResults(String state)

  - ### getScriptVariableNames

    public List<String> getScriptVariableNames()

  - ### setScriptVariablesFromResults

    public void setScriptVariablesFromResults(Map<String,Object> variableValues)

  - ### getStringScriptVariableValues

    public Map<String,String> getStringScriptVariableValues()

  - ### getScriptVariableValues

    public Map<String,Object> getScriptVariableValues()

  - ### getTemplateVariableValues

    public Map<String,Object> getTemplateVariableValues(Predicate<Variable> variablePredicate)

  - ### getVariablesByKeys

    public Map<String,Variable> getVariablesByKeys()

  - ### getContainerId

    public String getContainerId()
    Specified by:
      `getContainerId` in class `Trigger`